# Role: loki

## Description

Install and configure Loki for log monitoring.

https://grafana.com/docs/loki/latest/

## Usage

Using in a playbook:

```yaml
- name: Play
  hosts:
    - all
  roles:
    - samuliy.ansible.loki
  vars:
    ...
```

### Vars

`loki_config`:

Configuration for loki.

`loki_data_dir`:

Data directory for loki.

`loki_retention_period`:

Retention period.

`loki_user`:

User for Loki.
